const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../json/leitorJsonHela.po.js');
const aprovacaoEntradaPage = require('../../../page-objects/documentosfiscais/aprovacao/aprovacaoEntrada.po');

const gridAprovacao = '1485228555847028093929';

describe('Aprovação de lançamento de entrada', () => {
    beforeAll(() => {
        loginPage.login(j.getValor('login'), j.getValor('senha'), j.getValor('url'));
        aprovacaoEntradaPage.abrir();
        aprovacaoEntradaPage.filtroAprovacaoCompra(j.getValor('empresaCompra'), j.getValor('filialCompra'), j.getValor('remetenteCompra'), j.getValor('dataInicialCompra'), j.getValor('dataFinalCompra'), j.getValor('serieCompra')/*, j.getValor('operacaoCompra')*/);
        geral.clickAplicarFiltro();
    });
    
    afterAll(() => {
        geral.sair();
    });
    
    it('Acessar tela de Aprovação de Lançamentos', () => {
        geral.esperarLoading();
        
        expect(z.component.header.getTitle())
        .toBe('Aprovação de Lançamentos');
    });
    
    it('Aprovação de lançamento de entrada', () => {
        aprovacaoEntradaPage.aprovacaoEntrada();
        geral.clickAprovar();
        z.component.alert.isVisible().then(function(alertaVisivel){
        	if(alertaVisivel){
            	z.component.alert.getText().then(function(mensagem){
                	console.log(mensagem);
                	z.component.alert.clickButton('OK');
                    console.log('Foi escolhida a opção OK');
        geral.cancelarAprovacao();
        var checkbox = element(by.css('#grid-1485228555847028093929 > div.body > div > div.tr.cell1 > div.td.grid-checkbox-column.zh-side-column.fixed.zh-ripple-effect > span > svg > rect'));
		protractorHelper.click(checkbox);
        geral.clickAprovar(); 
            	});
        	}
        })

        var status = z.widget.grid.getText(gridAprovacao, 0, 7, true);
        status.getText().then(function (status) {
            expect(status).toEqual('Aprovado');
        });
    });
});